Bug 984656 - Support vtk 6.0
Support vtk 6.0
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdcm (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
https://sourceforge.net/p/gdcm/bugs/282/
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 12:05 EDT by Orion Poplawski
Modified: 2016-07-19 15:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: gdcm-2.2.6-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:26:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Initial vtk 6.0.0 patch (781 bytes, patch)
2013-07-15 12:05 EDT, Orion Poplawski
no flags Details | Diff
Patch to build gdcm with vtk enabled (1.11 KB, patch)
2015-02-25 17:16 EST, Fabrice Bellet
no flags Details | Diff
F-21 spec file patch (2.32 KB, patch)
2015-02-25 17:19 EST, Fabrice Bellet
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2013-07-15 12:05:24 EDT
Created attachment 773817 [details]
Initial vtk 6.0.0 patch

Description of problem:

gdcm currently does not build against vtk 6.0.0.  See upstream bug report for more.  I needed to make changes to the vtk 6.0.0 install to make the vtkMakeInsantiator files available.  Scratch build for testing against is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5609099

Version-Release number of selected component (if applicable):
2.2.4-1
Comment 1 Mario Ceresa 2013-07-16 03:23:06 EDT
Hi Orion!
there is a fix posted here:
http://public.kitware.com/pipermail/vtkusers/2013-February/127377.html

Not sure here if it's better to patch gdcm or vtk. 

Best,

Mario
Comment 2 Mario Ceresa 2013-07-16 04:01:09 EDT
Hi Orion!

adding "include(${VTK_CMAKE_DIR}/vtkMakeInstantiator.cmake)" on top of Utilities/VTK/CMakeLists.txt did the trick:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5611776

Thanks for reporting,

With best regards,

Mario
Comment 3 Orion Poplawski 2013-07-16 10:38:54 EDT
No, that build is with vtk 5.10.  I pulled 6.0.0 from rawhide after I discovered some many problems with dependent packages.  There are other compile errors with 6.0.  See the upstream report.
Comment 4 Mario Ceresa 2013-07-17 03:28:58 EDT
Oops, rawhide really moves fast! 

How can I reproduce the error if vtk has been untagged? Is there a way we can create a special rawhide branch with vtk 6.0 and build against it?
Comment 5 Orion Poplawski 2013-07-17 12:19:54 EDT
I don't think a side tag for such a small thing is worth it.  I build locally with mock and add a local repo with an updated vtk 6.0 in it for testing.
Comment 6 Andre Robatino 2013-07-20 19:16:57 EDT
I have this dependency problem in F19 with updates-testing and vtk-5.10.1-4.fc19. Is it the same bug?

[root@localhost ~]# yum --skip-broken --exclude=\*.i686 distro-sync Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package gdcm.x86_64 0:2.0.18-8.fc19 will be updated
--> Processing Dependency: libgdcmCommon.so.2.0()(64bit) for package: InsightToolkit-4.3.1-10.fc19.x86_64
--> Processing Dependency: libgdcmDICT.so.2.0()(64bit) for package: InsightToolkit-4.3.1-10.fc19.x86_64
--> Processing Dependency: libgdcmDSED.so.2.0()(64bit) for package: InsightToolkit-4.3.1-10.fc19.x86_64
--> Processing Dependency: libgdcmIOD.so.2.0()(64bit) for package: InsightToolkit-4.3.1-10.fc19.x86_64
--> Processing Dependency: libgdcmMSFF.so.2.0()(64bit) for package: InsightToolkit-4.3.1-10.fc19.x86_64
---> Package gdcm.x86_64 0:2.2.3-3.fc19 will be an update
---> Package gdcm-devel.x86_64 0:2.0.18-8.fc19 will be updated
---> Package gdcm-devel.x86_64 0:2.2.3-3.fc19 will be an update
--> Running transaction check
---> Package gdcm.x86_64 0:2.0.18-8.fc19 will be updated
--> Processing Dependency: libvtkgdcmPythonD.so()(64bit) for package: gdcm-2.0.18-8.fc19.x86_64
---> Package gdcm.x86_64 0:2.2.3-3.fc19 will be an update
--> Processing Dependency: libvtkgdcmPythonD.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libvtkgdcm.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libsocketxx.so.1.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmjpeg8.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmjpeg16.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmjpeg12.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmMSFF.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmMEXD.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmIOD.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmDSED.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmDICT.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: libgdcmCommon.so.2.2()(64bit) for package: gdcm-devel-2.2.3-3.fc19.x86_64
--> Processing Dependency: gdcm = 2.2.3-3.fc19 for package: gdcm-devel-2.2.3-3.fc19.x86_64

Packages skipped because of dependency problems:
    gdcm-2.2.3-3.fc19.x86_64 from updates-testing
    gdcm-devel-2.2.3-3.fc19.x86_64 from updates-testing
[root@localhost ~]#
Comment 7 Fedora End Of Life 2013-09-16 12:46:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 8 Orion Poplawski 2013-10-15 23:48:14 EDT
Perhaps this examples helps?

     GetWholeExtent 

#if VTK_MAJOR_VERSION <= 5
  imageClip->SetOutputWholeExtent(jPEGReader->GetOutput()->GetWholeExtent());
#else
  jPEGReader->UpdateInformation();
  imageClip->SetOutputWholeExtent(
    jPEGReader->GetOutputInformation(0)->Get(
      vtkStreamingDemandDrivenPipeline::WHOLE_EXTENT()));
#endif

http://www.vtk.org/Wiki/VTK/VTK6/Migration/WikiExamples
Comment 9 Fabrice Bellet 2015-02-25 17:14:00 EST
Hi!

it seems it works in F-21/F-22/rawhide, by enabling GDCM_USE_VTK:BOOL=ON in the spec file, and a couple of cmake tweaks. It requires also a rebuild of vtk in rawhide for gcc5 c++11 abi change.
Comment 10 Fabrice Bellet 2015-02-25 17:16:47 EST
Created attachment 995370 [details]
Patch to build gdcm with vtk enabled

This patch removes the libvtksysPythonD dependency
Comment 11 Fabrice Bellet 2015-02-25 17:19:00 EST
Created attachment 995371 [details]
F-21 spec file patch
Comment 12 Jaroslav Reznik 2015-03-03 09:58:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 13 Fedora End Of Life 2016-07-19 15:26:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.